org.eclipse.microprofile.metrics.tck.metrics

## Class DefaultNameMetricMethodBean

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.DefaultNameMetricMethodBean

    public class DefaultNameMetricMethodBean
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`DefaultNameMetricMethodBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `absoluteDefaultNameCountedMethod()`
`void` `absoluteDefaultNameMeteredMethod()`
`void` `absoluteDefaultNameTimedMethod()`
`void` `defaultNameCountedMethod()`
`void` `defaultNameMeteredMethod()`
`void` `defaultNameTimedMethod()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultNameMetricMethodBean

    public DefaultNameMetricMethodBean()

### Method Detail

#### defaultNameCountedMethod

    @Counted
    public void defaultNameCountedMethod()

#### absoluteDefaultNameCountedMethod

    @Counted(absolute=true)
    public void absoluteDefaultNameCountedMethod()

#### defaultNameMeteredMethod

    @Metered
    public void defaultNameMeteredMethod()

#### absoluteDefaultNameMeteredMethod

    @Metered(absolute=true)
    public void absoluteDefaultNameMeteredMethod()

#### defaultNameTimedMethod

    @Timed
    public void defaultNameTimedMethod()

#### absoluteDefaultNameTimedMethod

    @Timed(absolute=true)
    public void absoluteDefaultNameTimedMethod()